## org.apache.poi.util
Class LittleEndianByteArrayInputStream

    java.lang.Object
      org.apache.poi.util.LittleEndianByteArrayInputStream

All Implemented Interfaces:
  LittleEndianInput

    public final class LittleEndianByteArrayInputStream

extends java.lang.Object
implements LittleEndianInput

Adapts a plain byte array to `LittleEndianInput`

Author:
  Josh Micich

Constructor Summary
`LittleEndianByteArrayInputStream(byte[] buf)`
`LittleEndianByteArrayInputStream(byte[] buf, int startOffset)`
`LittleEndianByteArrayInputStream(byte[] buf, int startOffset, int maxReadLen)`

Method Summary
`int` `available()`
`int` `getReadIndex()`
`byte` `readByte()`
`double` `readDouble()`
`void` `readFully(byte[] buf)`
`void` `readFully(byte[] buf, int off, int len)`
`int` `readInt()`
`long` `readLong()`
`short` `readShort()`
`int` `readUByte()`
`int` `readUShort()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LittleEndianByteArrayInputStream

    public LittleEndianByteArrayInputStream(byte[] buf,
                                            int startOffset,
                                            int maxReadLen)

### LittleEndianByteArrayInputStream

    public LittleEndianByteArrayInputStream(byte[] buf,
                                            int startOffset)

### LittleEndianByteArrayInputStream

    public LittleEndianByteArrayInputStream(byte[] buf)

Method Detail

### available

    public int available()

  Specified by:
    `available` in interface `LittleEndianInput`

### getReadIndex

    public int getReadIndex()

### readByte

    public byte readByte()

  Specified by:
    `readByte` in interface `LittleEndianInput`

### readInt

    public int readInt()

  Specified by:
    `readInt` in interface `LittleEndianInput`

### readLong

    public long readLong()

  Specified by:
    `readLong` in interface `LittleEndianInput`

### readShort

    public short readShort()

  Specified by:
    `readShort` in interface `LittleEndianInput`

### readUByte

    public int readUByte()

  Specified by:
    `readUByte` in interface `LittleEndianInput`

### readUShort

    public int readUShort()

  Specified by:
    `readUShort` in interface `LittleEndianInput`

### readFully

    public void readFully(byte[] buf,
                          int off,
                          int len)

  Specified by:
    `readFully` in interface `LittleEndianInput`

### readFully

    public void readFully(byte[] buf)

  Specified by:
    `readFully` in interface `LittleEndianInput`

### readDouble

    public double readDouble()

  Specified by:
    `readDouble` in interface `LittleEndianInput`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.